#ifndef UArrays_h
#define UArrays_h

//________________
class UArrays {
 public:
  /// Default constructor
  UArrays();
  /// Destructor
  ~UArrays();

  /// Number of used arrays
  enum { NAllUArrays = 3 };

  /// Names of the TBranches in the TTree/TFile
  static const char* uArrayNames[NAllUArrays];

  /// Names of the classes, the TClonesArrays are arrays of this type
  static const char* uArrayTypes[NAllUArrays];

  /// Maximum sizes of the TClonesArrays
  static int uArraySizes[NAllUArrays];

  /// Setup type indices
  enum typeIndex{ Run=0, Event, Particle };
};

#endif // UArrays_h
